## org.eclipse.xsd.impl
Class XSDMaxLengthFacetImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.xsd.impl.XSDConcreteComponentImpl
                      org.eclipse.xsd.impl.XSDComponentImpl
                          org.eclipse.xsd.impl.XSDFacetImpl
                              org.eclipse.xsd.impl.XSDConstrainingFacetImpl
                                  org.eclipse.xsd.impl.XSDFixedFacetImpl
                                      org.eclipse.xsd.impl.XSDMaxLengthFacetImpl

All Implemented Interfaces:
  Notifier, EObject, InternalEObject, XSDComponent, XSDConcreteComponent, XSDConstrainingFacet, XSDFacet, XSDFixedFacet, XSDMaxLengthFacet

    public class XSDMaxLengthFacetImpl

extends XSDFixedFacetImpl
implements XSDMaxLengthFacet

An implementation of the model object 'Max Length Facet'.

The following features are implemented:

- `Value`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.xsd.impl.XSDConcreteComponentImpl
`XSDConcreteComponentImpl.XSDContentsEList`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected int` `value` The cached value of the '`Value`' attribute
`protected static int` `VALUE_EDEFAULT` The default value of the '`Value`' attribute

Fields inherited from class org.eclipse.xsd.impl.XSDFixedFacetImpl
`FIXED_EDEFAULT, FIXED_EFLAG, FIXED_ESETFLAG`

Fields inherited from class org.eclipse.xsd.impl.XSDFacetImpl
`annotation, EFFECTIVE_VALUE_EDEFAULT, FACET_NAME_EDEFAULT, LEXICAL_VALUE_EDEFAULT, lexicalValue`

Fields inherited from class org.eclipse.xsd.impl.XSDConcreteComponentImpl
`ANALYZED, ANALYZING, CIRCULAR, diagnostics, element, ELEMENT_EDEFAULT, ERROR, FATAL, forceResolve, INFORMATION, isReconciling, UNANALYZED, updatingDOM, WARNING, xsdContents`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `XSDMaxLengthFacetImpl()`

Method Summary
`protected void` `changeAttribute(EAttribute eAttribute)`
`XSDConcreteComponent` `cloneConcreteComponent(boolean deep, boolean shareDOM)` Creates a clone of the component.
`org.w3c.dom.Element` `createElement()`
`static XSDMaxLengthFacet` `createMaxLengthFacet(org.w3c.dom.Node node)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.lang.Object` `getEffectiveValue()` Returns the value of the 'Effective Value' attribute
`int` `getValue()`
`boolean` `isConstraintSatisfied(java.lang.Object value)` Returns whether the given value satisfies the constraint of this facet.
`void` `setValue(int newValue)`
`java.lang.String` `toString()`
`protected void` `validateRestriction(XSDFixedFacet xsdFixedFacet)`

Methods inherited from class org.eclipse.xsd.impl.XSDFixedFacetImpl
`createFixedFacet, isFixed, isSetFixed, reconcileAttributes, restrictionMatch, setFixed, unsetFixed, validate, validateValue`

Methods inherited from class org.eclipse.xsd.impl.XSDConstrainingFacetImpl
`createConstrainingFacet`

Methods inherited from class org.eclipse.xsd.impl.XSDFacetImpl
`basicSetAnnotation, eInverseRemove, getAnnotation, getFacetName, getLexicalValue, getSimpleTypeDefinition, handleReconciliation, handleUnreconciledElement, setAnnotation, setLexicalValue`

Methods inherited from class org.eclipse.xsd.impl.XSDConcreteComponentImpl

`adoptBy, adoptContent, adoptDiagnostic, analyze, changeReference, checkAttributes, checkAttributeTypeConstraint, checkAttributeTypeConstraint, checkBuiltInTypeConstraint, checkComplexContent, checkComplexContent, checkElementComplexContent, checkSimpleTypeConstraint, clearDiagnostics, cloneConcreteComponents, considerAllContainsForBestConcreteComponent, contains, convertToBoolean, createDiagnostic, createDiagnostic, createDiagnostic, createDiagnostic, createElement, createRequiredAttributeDiagnostic, createUnresolvedAttributeDeclaration, createUnresolvedAttributeGroupDefinition, createUnresolvedComplexTypeDefinition, createUnresolvedElementDeclaration, createUnresolvedIdentityConstraintDefinition, createUnresolvedModelGroupDefinition, createUnresolvedNotationDeclaration, createUnresolvedSimpleTypeDefinition, createUnresolvedTypeDefinition, elementAttributesChanged, elementChanged, elementContentsChanged, eNotificationRequired, eNotify, eObjectForURIFragmentSegment, eURIFragmentSegment, forceEngulf, forceEngulf, forceNiceInsertBefore, forceNiceRemoveChild, forceReplace, getAdoptionParentNode, getBestConcreteComponent, getComponentsWithApplicationInformation, getComponentsWithInformation, getComponentsWithUserInformation, getContainer, getContentNodes, getDiagnostics, getDiagnosticTarget, getElement, getRootContainer, getSchema, getURIReferenceLabel, getXSDConcreteComponentImpls, getXSDContents, getXSDFactory, getXSDPackage, handleAnnotationReconciliation, handleElementForAdopt, isUpdatingDOM, moveContent, niceCreateNamespaceAttribute, niceInsertBefore, niceRemoveChild, niceSetAttribute, niceSetAttributeURIValue, orphanBy, orphanContent, orphanDiagnostic, patch, populateDiagnostic, printDFA, reconcile, reconcileContents, reportConstraintViolation, reset, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, setElementGen, setListContentAndOrder, traverseToRootForAnalysis, traverseToRootForPatching, updateElement, updateElement, updatePrefix`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.xsd.XSDFixedFacet
`isFixed, isSetFixed, setFixed, unsetFixed`

Methods inherited from interface org.eclipse.xsd.XSDFacet
`getAnnotation, getFacetName, getLexicalValue, getSimpleTypeDefinition, setAnnotation, setLexicalValue`

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### VALUE_EDEFAULT

    protected static final int VALUE_EDEFAULT

  The default value of the '`Value`' attribute.

  See Also:
    `getValue()`, Constant Field Values

### value

    protected int value

  The cached value of the '`Value`' attribute.

  See Also:
    `getValue()`

Constructor Detail

### XSDMaxLengthFacetImpl

    protected XSDMaxLengthFacetImpl()

Method Detail

### createMaxLengthFacet

    public static XSDMaxLengthFacet createMaxLengthFacet(org.w3c.dom.Node node)

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `XSDFixedFacetImpl`

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `XSDMaxLengthFacet`
  Returns:
    the value of the 'Value' attribute.
  See Also:
    `XSDMaxLengthFacet.setValue(int)`, `XSDPackage.getXSDMaxLengthFacet_Value()`

### setValue

    public void setValue(int newValue)

  Specified by:
    `setValue` in interface `XSDMaxLengthFacet`
  Parameters:
    `newValue` - the new value of the 'Value' attribute.
  See Also:
    `XSDMaxLengthFacet.getValue()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `XSDFixedFacetImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `XSDFixedFacetImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `XSDFixedFacetImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `XSDFixedFacetImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `XSDFixedFacetImpl`

### createElement

    public org.w3c.dom.Element createElement()

  Overrides:
    `createElement` in class `XSDConcreteComponentImpl`

### validateRestriction

    protected void validateRestriction(XSDFixedFacet xsdFixedFacet)

  Overrides:
    `validateRestriction` in class `XSDFixedFacetImpl`

### changeAttribute

    protected void changeAttribute(EAttribute eAttribute)

  Overrides:
    `changeAttribute` in class `XSDFixedFacetImpl`

### isConstraintSatisfied

    public boolean isConstraintSatisfied(java.lang.Object value)

  Description copied from interface: `XSDConstrainingFacet`
  Returns whether the given value satisfies the constraint of this facet.

  Specified by:
    `isConstraintSatisfied` in interface `XSDConstrainingFacet`
  Overrides:
    `isConstraintSatisfied` in class `XSDConstrainingFacetImpl`
  Parameters:
    `value` - an arbitrary value.
  Returns:
    whether the value satisfies the constraint of this facet.

### getEffectiveValue

    public java.lang.Object getEffectiveValue()

  Description copied from interface: `XSDFacet`
  Returns the value of the 'Effective Value' attribute.

  This represents a generic version of the `value` infoset property of this facet.

  Specified by:
    `getEffectiveValue` in interface `XSDFacet`
  Overrides:
    `getEffectiveValue` in class `XSDFacetImpl`
  Returns:
    the value of the 'Effective Value' attribute.
  See Also:
    `XSDPackage.getXSDFacet_EffectiveValue()`

### cloneConcreteComponent

    public XSDConcreteComponent cloneConcreteComponent(boolean deep,
                                                       boolean shareDOM)

  Description copied from interface: `XSDConcreteComponent`
  Creates a clone of the component. The clone may be deep and may share the DOM of this component.

  Specified by:
    `cloneConcreteComponent` in interface `XSDConcreteComponent`
  Overrides:
    `cloneConcreteComponent` in class `XSDConcreteComponentImpl`
  Parameters:
    `deep` - whether the clone should be deep.
    `shareDOM` - whether the clone should share the original DOM
  Returns:
    a clone of the component.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.